package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 类功能描述：
 *     分页及用户信息
 * @author 大春
 * @date 2025/01/03
 */

@Data
public class GetMainMemberDto {
    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;



}
