package com.tourism.webadmin.app.website.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "tour_user")
public class TourShortUser {
    /**
     * 主键Id。
     */
    @TableId(value = "user_id")
    private Long userId;

    /**
     * 昵称。
     */
    @TableId(value = "show_name")
    private String showName;

    /**
     * 用户头像的Url。
     */
    @TableId(value = "head_image_url")
    private String headImageUrl;
}
