package com.tourism.webadmin.app.website.service;

import com.tourism.common.core.object.ResponseResult;
import com.tourism.webadmin.app.website.dto.TourismProjectTravelNotesWriteDetailPageDto;
import com.tourism.webadmin.app.website.dto.TourismProjectTravelNotesWriteToWebDto;
import com.tourism.webadmin.app.website.vo.HouseFilterListsVo;
import com.tourism.webadmin.back.model.TourismProjectTravelNotesWrite;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface TourTravelNotesPublishService {

    void saveDraft(TourismProjectTravelNotesWriteToWebDto tourismProjectTravelNotesWriteDto);

    void removeByDraftId(String writeId);

    List<TourismProjectTravelNotesWrite> getDraftList(TourismProjectTravelNotesWriteDetailPageDto pageDto);

    ResponseResult<Void> publishDraft(TourismProjectTravelNotesWriteToWebDto tourismProjectTravelNotesWriteDto);
}
