package com.tourism.webadmin.app.website.vo;

import lombok.Data;

@Data
public class OneWayMemberVo {

    /**
     * 用户id。
     */
    private String userId;

    /**
     * 会话是否显示(每个群在聊天列表要不要展示) 0不显示 1显示。
     */
    private Integer isShow;

    /**
     * 单聊情况下对方的id。
     */
    private String partnerId;

    /**
     * 会话是否置顶 (每个群在聊天列表要不要置顶)  0不置顶 1 置顶。
     */
    private Integer isTop;

    /**
     * 会话是否开启免打扰 0不开启免打扰 1 开启免打扰。
     */
    private Integer isNotDisturb;

    /**
     * 群备注。
     */
    private String groupRemark;
    /**对方头像*/
    private String headImage;
}
