package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class SpecialCollectionVo {
    /**
     * 专题ID
     */
    @Schema(description = "话题ID")
    private String id;
    /**
     * 话题名称。
     */
    @Schema(description = "话题名称")
    private String name;

    @Schema(description = "话题热度")
    private Long hotValue;

    /**
     * 话题浏览量。
     */
    @Schema(description = "话题浏览量")
    private Integer viewCount;
}
