package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.back.vo.TourTravelNotesCommentVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 游记评论VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记评论VO视图对象")
@Data
public class TravelNotesCommentVo {

    /**
     * 评论数量。
     */
    @Schema(description = "评论数量")
    private Integer commentCount;

    /**
     * 评论列表。
     */
    @Schema(description = "评论列表")
    private List<TourTravelNotesCommentVo> tourTravelNotesCommentVoList;
}
