package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.back.model.TourUser;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class TravelNotesVo {
    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 项目标题。
     */
    @Schema(description = "项目标题")
    private String projectTitle;
    /**
     * 项目展示图。
     */
    private String tourismUrl;
    /**
     *  封面图
     */
    private List<String> imageUrl;
    /**
     * 电子数量。
     */
    @Schema(description = "点赞数量")
    private Long likeCount;

    /**
     *  是否置顶
     */
    private String isTop;

    /**
     * 是否原创(0:非原创;1:原创)。
     */
    private Integer isOriginal;
    /**用户头像*/
    private String image;
    /**用户名称*/
    private String name;
}
