package com.tourism.webadmin.app.website.dto;

import lombok.Data;

import java.util.Map;

@Data
public class MessageDTO extends MessageContentBase{
    private String groupId;

    private String messageContent;

    private  Integer messageType;
    /**通知分类 1单聊 2群聊*/
    private Integer noticeType;

    private Object object;

    /**
     * 是否到达条数限制
     * 0不限制
     * 1首发消息限制  对方关注过自己之前 或者自己已经发过一条消息且对方回复消息之前
     * 2踢出群聊发消息限制
     * 3群解散发消息限制
     * 4封禁群聊发消息限制
     */
    private Integer messageLimit = 0;
    /**扩展*/
    private Map<String,Object> map;

    /**
     * 发消息
     */
    private Integer groupStatus;
}
