package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Schema(description = "历史搜索记录Dto")
@Data
public class TourTourismProjectSearchRecordsDto{


	@Schema(description = "搜索类型（0游记列表1话题列表）")
	@NotNull(message = "搜索类型不能为空")
	private Integer searchType;

	/**
	 * 分页号码，从1开始计数。
	 */
	@Schema(description = "分页号码。")
	private Integer pageNum;

	/**
	 * 每页大小。
	 */
	@Schema(description = "每页大小。")
	private Integer pageSize;

	/**
	 * 是否统计totalCount。
	 */
	@Schema(description = "是否统计totalCount。")
	private Boolean count;
}
