package com.tourism.webadmin.app.website.vo;

import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;

@Data
public class LastTourMessageVo extends BaseModel {
    /**
     * id。
     */
    private Long id;

    /**
     * 消息内容。
     */
    private Object messageContent;

    /**
     * 0文字 1图片 2音频 3视频 4链接
     */
    private Integer messageType;

    /**
     * 聊天群组id。
     */
    private Long groupId;

    /**
     * 通知消息类型 1.单聊消息 2 群聊消息 3系统消息 4关注信息 5点赞 6评论 7评论区艾特 8文章内艾特 9访问。
     */
    private Integer noticeType;

    /**
     * 消息置顶/公告 0不置顶 1置顶。
     */
    private Integer isTop;

    /**
     * 撤回标记 0不撤回 1撤回。
     */
    private Integer revocationTag;

    /**
     * 已经删除该条消息的用户。
     */
    private String deletedByUsers;

    /**
     * 已读该条消息的用户。
     */
    private String readByUsers;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    private Integer dataState;
}
