package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 游记中的图片实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_travel_notes_img")
public class TourTravelNotesImg {

    /**
     * id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 图片地址。
     */
    @TableField(value = "img_url")
    private String imgUrl;

    /**
     * 游记id。
     */
    @TableField(value = "travel_notes_id")
    private Long travelNotesId;
}
