package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 用户与话题的关联表实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_user_like_topic")
public class TourUserLikeTopic {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 门户用户id。
     */
    @TableField(value = "tour_user_id")
    private Long tourUserId;

    /**
     * 游记话题id。
     */
    @TableField(value = "tour_travel_notes_topic_id")
    private Long tourTravelNotesTopicId;

    /**
     * 游记话题名称。
     */
    @TableField(value = "tour_travel_notes_topic_name")
    private String tourTravelNotesTopicName;
}
