package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 用户与评论的收藏关系表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "用户与评论的收藏关系表VO视图对象")
@Data
public class TourUserCommentCollectRelationVo {

    /**
     * 用户Id。
     */
    @Schema(description = "用户Id")
    private Long userId;

    /**
     * 评论id。
     */
    @Schema(description = "评论id")
    private Long commentId;
}
